"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const commands_1 = require("./commands/commands");
const yargs_1 = require("./core/yargs");
const rc_json_1 = require("./global/rc-json");
const options_1 = require("./global/options");
const utils_1 = require("./global/utils");
/**
 * Merges CLI params into rc config
 * @param rcPath
 */
function configParser(rcPath) {
    let rcConfig = (0, rc_json_1.getCliOptionsFromRcConfig)(rcPath);
    let globalConfig = (0, utils_1.getGlobalOptionsFromArgv)(rcConfig);
    return Object.assign(Object.assign({}, globalConfig), rcConfig);
}
(() => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    return (0, yargs_1.runCli)({
        commands: commands_1.commands,
        options: Object.assign({}, options_1.GLOBAL_OPTIONS_YARGS_CFG),
        configParser
    });
}))();
//# sourceMappingURL=boot-cli.js.map