"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isoDateStringToIsoLikeString = exports.dateToIsoLikeString = exports.generateStdoutReport = void 0;
const md_report_1 = require("../../../assert/utils/md-report");
function generateStdoutReport(flowResult) {
    const dateTime = new Date().toISOString().replace('T', ' ').split('.')[0].slice(0, -3);
    const mdTable = (0, md_report_1.getStepsTable)(flowResult);
    return `# ${flowResult.name}\n\nDate/Time: ${dateTime}\n\n${mdTable}`;
}
exports.generateStdoutReport = generateStdoutReport;
function dateToIsoLikeString(date) {
    return isoDateStringToIsoLikeString(date.toISOString());
}
exports.dateToIsoLikeString = dateToIsoLikeString;
function isoDateStringToIsoLikeString(isoDate) {
    return isoDate.replace(/[\-:]/gm, '').split('.').shift();
}
exports.isoDateStringToIsoLikeString = isoDateStringToIsoLikeString;
//# sourceMappingURL=utils.js.map