"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createUserFlowRunner = void 0;
const tslib_1 = require("tslib");
const replay_1 = require("@puppeteer/replay");
const file_1 = require("../../../../core/file");
const runner_extension_1 = require("./runner-extension");
const parse_1 = require("./parse");
function createUserFlowRunner(path, ctx) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { browser, page, flow } = ctx;
        const runnerExtension = new runner_extension_1.UserFlowRunnerExtension(browser, page, flow);
        const jsonRecording = (0, file_1.readFile)(path, { ext: 'json' });
        const recording = (0, parse_1.parse)(jsonRecording);
        return yield (0, replay_1.createRunner)(recording, runnerExtension);
    });
}
exports.createUserFlowRunner = createUserFlowRunner;
//# sourceMappingURL=index.js.map