"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stringify = exports.isMeasureType = void 0;
const replay_1 = require("@puppeteer/replay");
function isMeasureType(str) {
    switch (str) {
        case 'navigate':
        case 'snapshot':
        case 'startTimespan':
        case 'endTimespan':
            return true;
        default:
            return false;
    }
}
exports.isMeasureType = isMeasureType;
function stringify(enrichedRecordingJson) {
    const { title, steps } = enrichedRecordingJson;
    const standardizedJson = {
        title,
        steps: (steps).map((step) => {
            if (isMeasureType(step.type)) {
                return userFlowStepToCustomStep(step);
            }
            return step;
        })
    };
    return JSON.stringify(standardizedJson);
}
exports.stringify = stringify;
function userFlowStepToCustomStep(step) {
    const { type: name, parameters } = step;
    const stdStp = {
        type: replay_1.StepType.CustomStep,
        name,
        parameters
    };
    return stdStp;
}
//# sourceMappingURL=utils.js.map