import { ReadFileConfig } from '../../commands/collect/utils/replay/types';
import { ExtToOutPut, ResolveFileResult } from './types';
export { toFileName } from './to-file-name';
type Not<T, R> = R extends T ? never : R;
type ReadFileOutput<CFG extends {}, OVERWRITE extends unknown> = Not<OVERWRITE, undefined> extends never ? ExtToOutPut<CFG> : OVERWRITE;
/**
 * Ensures the file exists before reading it
 */
export declare function readFile<R extends any = undefined, T extends ReadFileConfig = {}>(path: string, cfg?: T): ReadFileOutput<T, R>;
/**
 * Ensures the folder exists before writing it
 */
export declare function writeFile(filePath: string, data: string): void;
export declare function resolveAnyFile<T>(path: string): ResolveFileResult<T>;
