"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.style = void 0;
const stylesMap = {
    i: '*',
    b: '**',
    s: '~', // strike through
};
/**
 * **{text}** // default is bold
 *
 * *{text}* // italic - styles set to `['i']`
 *
 * ~**{text}**~ // bold & stroke-through - styles set to `['b','s']`
 */
function style(text, styles = ['b']) {
    return styles.reduce((t, s) => `${stylesMap[s]}${t}${stylesMap[s]}`, text);
}
exports.style = style;
//# sourceMappingURL=font-style.js.map