"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.runCli = exports.setupYargs = void 0;
const yargs = require("yargs");
const config_middleware_1 = require("../../config.middleware");
function setupYargs(commands, options, configParser) {
    yargs.options(options)
        .parserConfiguration({ 'boolean-negation': true })
        .recommendCommands()
        .example([
        ['init', 'Setup user-flows over prompts']
    ])
        .help()
        .alias('h', 'help');
    commands.forEach((command) => yargs.command(command.command, command.description, (command === null || command === void 0 ? void 0 : command.builder) || (() => {
    }), (0, config_middleware_1.applyConfigMiddleware)(command.module.handler, configParser)));
    return yargs;
}
exports.setupYargs = setupYargs;
function runCli(cliCfg) {
    // apply `.argv` to get args as plain obj available
    setupYargs(cliCfg.commands, cliCfg.options, cliCfg.configParser).argv;
}
exports.runCli = runCli;
//# sourceMappingURL=index.js.map